MOUNT3(3)

NAME
packet.nfs.mount3 - MOUNTv3 decoding module

CLASSES

  class DUMP3res(baseobj.BaseObj)
struct DUMP3res {
    mountentry3 *mountlist;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class EXPORT3res(baseobj.BaseObj)
struct EXPORT3res {
    exportnode3 *exports;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class MNT3args(baseobj.BaseObj)
struct MNT3args {
    dirpath3 path;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class MNT3res(baseobj.BaseObj)
union switch MNT3res (mountstat3 status) {
    case const.MNT3_OK:
        MNT3resok mountinfo;
    default:
        void;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class MNT3resok(baseobj.BaseObj)
struct MNT3resok {
    fhandle3         fh;
    rpc_auth_flavors auth_flavors<>;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class MOUNT3args(packet.utils.RPCload)
union switch MOUNT3args (mount_proc3 procedure) {
    case const.MOUNTPROC3_NULL:
        void;
    case const.MOUNTPROC3_MNT:
        MNT3args opmnt;
    case const.MOUNTPROC3_DUMP:
        void;
    case const.MOUNTPROC3_UMNT:
        UMNT3args opumnt;
    case const.MOUNTPROC3_UMNTALL:
        void;
    case const.MOUNTPROC3_EXPORT:
        void;
};

Methods defined here:
---------------------

__init__(self, unpack, procedure)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class MOUNT3res(packet.utils.RPCload)
union switch MOUNT3res (mount_proc3 procedure) {
    case const.MOUNTPROC3_NULL:
        void;
    case const.MOUNTPROC3_MNT:
        MNT3res opmnt;
    case const.MOUNTPROC3_DUMP:
        DUMP3res opdump;
    case const.MOUNTPROC3_UMNT:
        void;
    case const.MOUNTPROC3_UMNTALL:
        void;
    case const.MOUNTPROC3_EXPORT:
        EXPORT3res opexport;
};

Methods defined here:
---------------------

__init__(self, unpack, procedure)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class UMNT3args(baseobj.BaseObj)
struct UMNT3args {
    dirpath3 path;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class exportnode3(baseobj.BaseObj)
struct exportnode3 {
    dirpath3    dir;
    groupnode3  *groups;
    exportnode3 *next;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class groupnode3(baseobj.BaseObj)
struct groupnode3 {
    name3      name;
    groupnode3 *next;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class mount_proc3(packet.utils.Enum)
enum mount_proc3

  class mountentry3(baseobj.BaseObj)
struct mountentry3 {
    name3       hostname;
    dirpath3    directory;
    mountentry3 *next;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class mountstat3(packet.utils.Enum)
enum mountstat3

  class rpc_auth_flavors(packet.utils.Enum)
enum rpc_auth_flavors

FUNCTIONS
dirpath3(unpack)

fhandle3(unpack)
 Basic Data Types

name3(unpack)

SEE ALSO
baseobj(3), packet.nfs.mount3_const(3), packet.unpack(3), packet.utils(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)